
#ifndef _BASE_DBG_HXX
#define _BASE_DBG_HXX 1


/*
 *	dbg.hxx
 *	DEBUG utilities
 */

#ifndef _MM_NO_IOSTREAM
#include <iostream>

extern "C" { int addone(int i); }

  class DebugLog {
    std::ostream *_pos;
    
  public:
    std::ostream *pos() { return _pos; }
    void setLog(std::ostream *pos) { _pos = pos; }
    DebugLog():_pos(0) {}
    ~DebugLog() {}
  };

  extern void debug_showbuf(std::ostream &os, const char *pch, int c);  /* printable & hex */
  extern void debug_showhex(std::ostream &os, const char *pch, int c, int chDel='.');  /* hex only */
  inline void debug_showhex(std::ostream &os, const void *p, int c, int chDel='.') {
      debug_showhex(os, static_cast<const char *>(p), c, chDel);  /* hex only */
  }
  inline void debug_showbuf(std::ostream &os, const void *p, int c) {
      debug_showbuf(os, static_cast<const char *>(p), c);
  }

#endif
#endif
